+36 70 317 6948 info@yourwebsite.hu
Php Hir

Nincs több frissítés a PHP 5-höz

Azok a PHP-s fejlesztők akik eddig még nem tették meg, jól teszik ha elkezdik kódbázisaik konvertálását a nyelv legújabb, 7-es verzióján történő futásra. A PHP korábbi, 5-ös ágának ugyanis az óév utolsó napjával megszűnt az ún. aktív támogatása, ami azt jelenti, hogy ez a főverzió a továbbiakban már nem fog frissítéseket kapni.

Mostantól tehát minden már eddig azonosított vagy ezek után felfedezésre kerülő működési hiba javítatlanul fog maradni a PHP 5.6.x-ban, és persze fejlesztések megjelenésére sem lehet számítani a nyelv ezen ágában. Az egyetlen kivételt az fogja képezni, ha biztonsági sebezhetőséget azonosítanak az értelmezőben, amely esetben új hibajavító verziót fognak kiadni belőle a fejlesztők.

Ugyanakkor ezek megjelenésére is már csak két évig lehet majd számítani: 2018 december 31-ét követően ugyanis már a kritikus besorolású sebezhetőségek sem kerülnek majd javításra a platform ezen ágában. Érdekes módon a PHP 7.0-s verziójához még eddig sem jönnek majd a biztonsági foltok: annak biztonsági támogatása ugyanis már négy héttel korábban, 2018 december 3-án le fog járni.

Így a konverzióval, illetve az új kódbázisokkal már most a 7.1-es vonalat érdemes célozni, amiben 2018-ig minden hiba javításra kerül majd, és ami biztonsági támogatást mostanhoz képest még közel három évig, 2019 december 1-éig fog élvezni.

A mi általunk készített és karbantartott weboldalak már mind a PHP 7.0-s vagy ahhoz újabban kiadott verzióin fut.